Summary: Graphically display output of du command 
Name: xdu
Version: 3.0
Release: 7%{?dist}
Source: http://sd.wareonearth.com/~phil/xdu/%{name}-%{version}.tar.Z
Patch1: http://www.nn.iij4u.or.jp/~tutimura/xdu/xdu-3.0.dirname.patch
Patch2: http://www.nn.iij4u.or.jp/~tutimura/xdu/xdu-3.0.i18n.patch
Patch3: http://www.nosuchhost.net/~cheese/patches/xdu/xdu-title.patch
Patch4: http://www.nosuchhost.net/~cheese/patches/xdu/xdu-formatstring.patch
License: MIT
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: X11/Utilities
BuildRequires: imake
BuildRequires: libXt-devel libXaw-devel

%description
xdu accepts output of "du" command on standard input and graphically
displays results in a window. One can navigate through that information.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup -c
%patch1 -p1 -b .orig
%patch2 -p1 -b .i18n
%patch3 -p1 -b .title
%patch4 -p1 -b .formatstring

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
rm -rf $RPM_BUILD_ROOT/%{_prefix}/{lib,lib64}/X11/app-defaults

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xdu
%{_mandir}/man1/xdu*
%config %{_datadir}/X11/app-defaults/XDu
%doc README

%changelog
* Sat Oct 04 2014 josef radinger <cheese@nosuchhost.net> - 3.0-7
- fix formatstring (patch4)
- fix path for own patches

* Fri Sep 21 2012 josef radinger <cheese@nosuchhost.net> - 3.0-6
- fix removing of $RPM_BUILD_ROOT/%{_libdir}/X11/app-defaults on 64bit-systems

* Fri Sep 21 2012 josef radinger <cheese@nosuchhost.net> - 3.0-5
- fix \n in windowtitle

* Thu Sep 20 2012 josef radinger <cheese@nosuchhost.net> - 3.0-4
- cleanup spec-file
- move binary to /usr/bin/
- BuildRequires

* Mon Jul 16 2012 josef radinger <cheese@nosuchhost.net> - 3.0-3
- initial package
